Đến nội dung


Hình ảnh
- - - - -

Nhờ mọi người chỉ giúp cách đánh font Unicode trong lisp


  • Please log in to reply
3 replies to this topic

#1 xuandao0708

xuandao0708

    biết lệnh scale

  • Members
  • PipPipPip
  • 140 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 03 May 2011 - 01:00 AM

hiện giời mình có 1 lisp đang chạy bình thường bằng font VNI, nay muốn chuyển qua font Unicode vì mình đã chuyển tất cả bản vẽ qua font này cho thuận tiện nhưng không cách nào chỉnh được chữ "Vị trí khu đất" "Nhà số:" thành font Unicode được. Nay nhờ mọi người giúp đỡ. Đây là lisp mình đang dùng. Thank mọi người nhiều.
http://www.cadviet.c...files/3/mau.lsp
  • 0

#2 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 03 May 2011 - 01:25 AM

hiện giời mình có 1 lisp đang chạy bình thường bằng font VNI, nay muốn chuyển qua font Unicode vì mình đã chuyển tất cả bản vẽ qua font này cho thuận tiện nhưng không cách nào chỉnh được chữ "Vị trí khu đất" "Nhà số:" thành font Unicode được. Nay nhờ mọi người giúp đỡ. Đây là lisp mình đang dùng. Thank mọi người nhiều.
http://www.cadviet.c...files/3/mau.lsp

Mình sửa giúp bạn này:

;Luu va tra bien he thong
(defun luuBHT ()
(setq
cmec (getvar "cmdecho")
blip (getvar "blipmode")
clayer (getvar "clayer")
textst (getvar "textstyle")
os (getvar "osmode")
ortho (getvar "orthomode")
)
)
(defun traBHT ()
(setvar "cmdecho" cmec)
(setvar "blipmode" blip)
(setvar "clayer" clayer)
(setvar "textstyle" textst)
(setvar "osmode" os)
(setvar "orthomode" ortho)
)
;Ham chon mot so tren man hinh
;Chon object
(defun chon1so (/ chon ketqua)
(setq chon nill)
(while
(or
(null (setq Chon (car (entsel))))
(/= "TEXT" (cdr (assoc 0 (entget Chon ))))
(null (numberp (distof (cdr (assoc 1 (entget chon))))))
)
(princ "\nKhong co doi tuong, hoac khong phai la Text, hoac khong la mot so.\n")
)
(setq TextTP (cdr (assoc 1 (entget Chon))))
(setq sochon chon)
(setq ketqua (distof TextTP))
)
;Tao lop theo danh sach di kem
(defun taolop (dslop)
(mapcar '(lambda (a) (if (null (tblsearch "layer" a))(command "layer" "N" a ""))) dslop)
)
;---------------------
(defun c:vitrikd (/ Point01 point02 Angle12 dis12 Angle0 Jus Point03 Nso point04)
(luuBHT)
(setvar "cmdecho" 0)
(setvar "osmode" 512)
(initget 1) (setq point01 (getpoint "\nChon diem dat mui ten : \n"))
(setvar "osmode" 0)
(initget 1) (setq point02 (getpoint point01 "\nChon phia ghi text :\n :"))
(setq Angle12 (angle Point01 Point02))
(setq dis12 (distance point01 point02))
(if (and (> Angle12 (/ pi 2)) (< Angle12 (* pi 1.5)))
(progn (setq Angle0 pi) (setq Jus "BR"))
(progn (setq Angle0 0.0) (setq Jus "BL")))
(setq Point03 (polar (polar Point01 Angle12 dis12) (/ pi 2) 0.275))
(taolop '("Hientrang"))
(command "layer" "s" "Hientrang" "")
(command "style" "Unicode" "Times new roman" "" "" "" "" "")
(command "pline" point01 "w" 0.0 0.4 (polar Point01 Angle12 1) "w" 0.0 0.0
(polar Point01 Angle12 dis12)(polar (polar Point01 Angle12 dis12) Angle0 7.5) "")
(command ".text" Jus Point03 0.90 0.0 "V\U+1ECB tr\U+00ED khu \U+0111\U+1EA5t" "")
(setq NSo (getstring "\nNhap so nha (Neu co) : "))
(if (/= NSo "")
(progn
(setq Point04 (polar Point03 (* 1.5 pi) 2.0))
(command ".text" Jus Point04 0.90 0.0 (strcat "Nh\U+00E0 s\U+1ED1 " Nso) "")
)
)
(traBHT)
(princ))
Nếu bạn muốn biết cách gõ chữ font unicode thì qua đây tham khảo:http://www.cadviet.c...showtopic=39312
  • 1
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#3 xuandao0708

xuandao0708

    biết lệnh scale

  • Members
  • PipPipPip
  • 140 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 03 May 2011 - 11:34 AM

Cá mơn bạn nhiều. Mình sẽ coi kỹ link bạn đưa, mong là làm được vì mình là dân tay ngang nên không biết gì về lisp.
  • 0

#4 xuandao0708

xuandao0708

    biết lệnh scale

  • Members
  • PipPipPip
  • 140 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 04 May 2011 - 08:54 AM

Nhân tiện nhờ mọi người chỉnh lại lisp này dùm em, đưa về font "Unicode_B"(Times New Roman Bold). Những chổ nào sửa hoặc thêm thì mong mọi người tô đỏ dùm để em biết cách khắc phục cho những lisp tương tự. Thank! File cad mốc ranh chép vào thư mục của Cad, trước khi chạy lệnh TD2 thì phải thực hiện lệnh mốc ranh trước.
lisp:http://www.cadviet.com/upfiles/3/td2.lsp
file cad:http://www.cadviet.com/upfiles/3/truranh.dwg
  • 0